#!/usr/local/bin/perl -w

use strict;

use lib qw(/home/benb/rok /tmp/a/rok);

use Matrix;

my $matrix = Matrix->new("-n" => 4, "-m" => 4,
			 -data => [[1, 0, 0, 0],
				   [0, 1, 0, 0],
				   [0, 0, 1, 0],
				   [0, 0, 0, 1]]
			 );
print $matrix->print, "\n";

print "Determinant: ", $matrix->determinant, "\n";


my $matrix2 = Matrix->new("-n" => 4, "-m" => 4,
			  -data => [[1, 0, 0, 0],
				    [0, 1, 0, 0],
				    [0, 0, -1, 20],
				    [0, 0, 0, 1]]
			  );
print $matrix->print, "\n";

print $matrix2->print, "\n";


my $matrix3 = $matrix->multiply($matrix2);

print $matrix3->print, "\n";
