#!/usr/local/bin/perl -w

use strict;

use Vector;

my $v1 = 
    Vector->new("-n" => 3,
		"-data" => [1,3,0],
		);
print $v1->print, "\n";

my $v2 = 
    Vector->new("-n" => 3,
		"-data" => [2,3,1,4]
		);
print $v2->print, "\n";

print "Dot: ", $v1->dot($v2), "\n\n";
print "Cross: ", $v1->cross($v2)->print, "\n";
print "Normal: ", $v1->normalize->print, "\n";
