#!/usr/local/bin/perl -w

use strict;

use TiedMatrix;

my $matrix = 
    TiedMatrix->new("-n" => 2, "-m" => 2,
		    -data => [[1, 2, 3],
			      [3, 4, 2, 3],
			      [0, 6, 1]]
		    );
print $matrix->print, "\n";

print "Element 1,2: ", $matrix->dat->[0][1], "\n";

print "Determinant: ", $matrix->determinant, "\n";


my $matrix2 = 
    TiedMatrix->new("-n" => 2, "-m" => 2,
		    -data => [[ 1, 0, 3],
			      [-1, 2, 2, 3],
			      [ 0, 6, 1]]
		    );

print $matrix2->print, "\n";


my $matrix3 = $matrix->multiply($matrix2);

print $matrix3->print, "\n";
